<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.system.dal.mysql.houselocation.WareHouseTakePointMapper">


    <update id="setTakePointMapIdEmpty">
        update
            ware_house_take_point
        set
            position_map_id = null,
            position_map_item_id = null,
            actual_location_x = null,
            actual_location_y = null
        <where>
                position_map_id = #{positionMapId}
            and point_type = '0'
            <if test= " ids != null and ids.size() > 0">
                AND id not in
                <foreach collection="ids" item="id" index="index" open="(" close=")"
                         separator=",">
                    #{id}
                </foreach>
            </if>
        </where>
    </update>

    <update id="updateHouseTakePointByItemIdAndStorey">
        update
            ware_house_take_point
        set
            tray_height = #{trayHeight}
        where
            position_map_item_id = #{positionMapItemId}
        and location_storey = #{locationStorey}
    </update>


</mapper>
